Plesk keeps loading after an upgrade or permission denied error is shown

Refers to:

  • Plesk 12.5 for Linux
  • Plesk 12.0 for Linux

Created:

2016-11-16 13:11:32 UTC

Modified:

2017-02-20 05:55:41 UTC

1

Was this article helpful?


Have more questions?

Submit a request

Plesk keeps loading after an upgrade or permission denied error is shown

Symptoms

After an upgrade, it is not possible to access certain areas of the panel. Permission denied error appears.

The following error can be found in /var/log/plesk/panel.log

    Exception: Permission denied

OR

Plesk login page is not opening it's constantly loading. The following error in /var/log/sw-cp-server/error_log

2015/10/14 15:20:33 [error] 2922#0: *64 upstream timed out (110: Connection timed out) while reading response header from upstream, client: 1.1.1.1, server: , request: "GET /login_up.php3 HTTP/1.1", upstream: "fastcgi://unix:/var/run/sw-engine.sock", host: "example.com:8443"

OR

All /usr/local/psa/bin/ utilities hang, for example:

/usr/local/psa/bin/admin --show-password

Cause

Bug #PPPM-3485. Fixed in Plesk Onyx.

Resolution

  1. Clear cache:

    # rm -rf /var/lock/lmlib/container_locks
    # rm -f /usr/local/psa/var/cache/*
    # service sw-engine restart
    # service sw-cp-server restart
  2. Install latest Plesk updates:

    # plesk installer install-all-updates
Have more questions? Submit a request
Please sign in to leave a comment.